CRC7_BE(9)

NAME
crc7_be - update the CRC7 for the data buffer

SYNOPSIS

u8 crc7_be(u8 crc, const u8 * buffer, size_t len);

ARGUMENTS

crc
    previous CRC7 value

buffer
    data pointer

len
    number of bytes in the buffer

CONTEXT

any

DESCRIPTION

Returns the updated CRC7 value. The CRC7 is left-aligned in the byte (the lsbit is always 0), as that makes the computation easier, and all callers want it in that form.

COPYRIGHT